Redmine - Feature #4005

Setup shoulda to make it easier to test
2009-10-08 21:38 - Eric Davis

Status: Closed Start date: 2009-10-08
Priority: Normal Due date:

Assignee: Eric Davis % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.9.0

Resolution: Fixed

Description

shoulda provides a lot of testing helpers and macros to make it easier to test Ruby on Rails. This will help to improve the quality of
Redmine's test suite while also making it easier to maintain.

Related issues:
Related to Redmine - Feature #4796: Rails 3 support Closed 2010-02-10

Associated revisions

Revision 2925 - 2009-10-17 22:37 - Eric Davis
Setup shoulda for testing. (#4005)

History

#1 - 2009-10-17 22:34 - Eric Davis
- Status changed from 7 to Closed
- % Done changed from 0 to 100

- Resolution set to Fixed

Added the shoulda gem in r2925 with some documentation and example tests.
http://www.thoughtbot.com/projects/shoulda
https://www.redmine.org/projects/redmine/repository/svn/revisions/2925
http://www.tcpdf.org

